> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Memory



## OpenAPI

````yaml /openapi.json post /v1/memory
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/memory:
    post:
      tags:
        - Memory
      summary: Create Memory
      operationId: create_memory_v1_memory_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSessionMemory'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_MemoryResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CreateSessionMemory:
      properties:
        memory_type:
          $ref: '#/components/schemas/MemoryTypeEnum'
        session_id:
          type: string
          format: uuid
          title: Session Id
      type: object
      required:
        - memory_type
        - session_id
      title: CreateSessionMemory
    Response_MemoryResponse_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/MemoryResponse'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[MemoryResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MemoryTypeEnum:
      type: string
      enum:
        - session
      title: MemoryTypeEnum
    MemoryResponse:
      properties:
        id:
          type: string
          title: Id
        memory_type:
          $ref: '#/components/schemas/MemoryTypeEnum'
        memory_content:
          title: Memory Content
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - memory_type
        - memory_content
        - created_at
      title: MemoryResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````